<?php
 
$row = $db->query("SELECT * FROM shoutcast WHERE id = '{$id}'")->fetch(PDO::FETCH_ASSOC);

$server = $row['radyo_ip']; //radyo İp adresini yazdım.
$port = $row['radyo_port']; //radyo port adresini yazdım.
 
$htt = 'http';
if (($port >= '7000') && ($port <= '8000')) { $htt = 'https'; }
if (($port >= '10000') && ($port <= '11000')) { $htt = 'https'; }
$get  = '/7.html';
$ch = curl_init("$htt://{$server}:{$port}{$get}"); //htt değeri girilen porta göre ya http yada https.

if (!$ch) die('Init failed. Bad URI?');
curl_setopt_array($ch,array(CURLOPT_RETURNTRANSFER=>TRUE,CURLOPT_USERAGENT=>'Mozilla'));
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
$response = curl_exec($ch);
curl_close($ch);
if (empty($response)) echo ('Bağlantınızı Konturol Ediniz..!');
if (preg_match('#^.*<BODY>(.*)</BODY>.*$#i',$response,$matches) < 1)
    echo ("".$response);
list($current,$status,$peak,$max,$reported,$bit,$song) = explode(',',$matches[1], 7);


$query=$db->prepare("SELECT * FROM istekler order by id DESC");
$query->execute();

// Toplu Sil //

if(isset($_POST["deleteistek"])){
	$delproduct = $_POST["deleteistek"];
	foreach($delproduct as $deleteistek){
		$delete = $db->prepare("DELETE FROM istekler where id = ?");
		$delete->execute(array($deleteistek));
		if ($delete) {
			$success = 'İşlem başarıyla gerçekleşti.';
		} else {
			$error = 'Bir hata oluştu.';
		}
	}
}

if(isset($_POST["read"])){
	$duzenle=$db->prepare("UPDATE istekler SET
		durum=:durum
		WHERE id={$_POST['id']}");
	$update=$duzenle->execute(array(
		'durum' => 1
	));
	if ($update) {
		$success = 'İşlem başarıyla gerçekleşti.';
	} else {
		$error = 'Bir hata oluştu.';
	}
}  

require admin_view('home');